# $Revision: 1.65 $, $Date: 2009/09/06 16:55:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Archive
%define		pnam	Tar
Summary:	Archive::Tar - a module for Perl manipulation of .tar files
Summary(cs.UTF-8):	Archive::Tar - modul pro zpracování souborů .tar v Perlu
Summary(da.UTF-8):	Archive::Tar - et modul for Perlhåndtering af .tar-filer
Summary(de.UTF-8):	Archive::Tar - ein Modul für das Bearbeiten von .tar-Dateien durch Perl
Summary(es.UTF-8):	Archive::Tar - módulo para manipulaciones de Perl de los ficheros tar
Summary(fr.UTF-8):	Archive::Tar - module pour la manipulation Perl des fichiers .tar
Summary(it.UTF-8):	Archive::Tar - modulo per la gestione dei file .tar con Perl
Summary(ja.UTF-8):	Archive::Tar tarファイルのPerl操作の為のモジュールです。
Summary(ko.UTF-8):	Archive::Tar .tar 파일을 조작하는 Perl 모듈
Summary(pl.UTF-8):	Archive::Tar - moduł Perla do manipulacji plikami .tar
Summary(pt.UTF-8):	Archive::Tar - um módulo para a manipulação em Perl dos ficheiros .tar
Summary(pt_BR.UTF-8):	Archive::Tar - um módulo para a manipulação em Perl dos ficheiros .tar
Summary(sv.UTF-8):	Archive::Tar - en modul för Perlhantering av .tar-filer
Summary(tr.UTF-8):	Archive::Tar - .tar dosyaları için bir Perl modülü
Summary(zh_CN.UTF-8):	Archive::Tar 对 .tar 文件进行 Perl 操作的模块。
Summary(zh_TW.UTF-8):	Archive::Tar 用於 Perl 處理 .tar 檔案的一個模組。
Name:		perl-Archive-Tar
Version:	1.52
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Archive/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a2bcf46c095f6b4ea747fc978a72d0da
URL:		http://search.cpan.org/dist/Archive-Tar/
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-IO-Zlib >= 1.01
BuildRequires:	perl-Package-Constants
BuildRequires:	perl-Test-Harness >= 2.26
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-IO-Zlib >= 1.01
Requires:	perl-Text-Diff
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a module for the handling of tar archives. Archive::Tar
provides an object oriented mechanism for handling tar files. It
provides class methods for quick and easy file handling while also
allowing for the creation of tar file objects for custom manipulation.
If you have the Compress::Zlib module installed, Archive::Tar will
also support compressed or gzipped tar files.

%description -l cs.UTF-8
Toto je modul pro zpracování archivů tar. Archive::Tar poskytuje
objektově orientovaný mechanismus pro zpracování souborů tar.
Poskytuje metody třídy pro rychlé a snadné zpracování souboru a
umožňuje vytvoření objektů souborů tar pro vlastní zpracování. Máte-li
nainstalován modul Compress::Zlib, bude Archive::Tar také podporovat
soubory tar komprimované programem compress nebo gzip.

%description -l da.UTF-8
Dette er et modul for håndteringen af tar-arkiver. Archive::Tar
leverer en objektorienteret mekanisme til at håndtere tar-filer. Den
leverer klassemetoder for hurtig og nem filhåndtering samtidigt med at
den muliggør oprettelsen af tar-filobjekter for specialhåndtering.
Hvis du har modulet Compress::Zlib installeret, vil Archive::Tar også
understøtte komprimerede eller gzip'ede tar-filer.

%description -l de.UTF-8
Dieses Modul dient der Bearbeitung von tar-Archiven. Archive::Tar
bietet einen objektspezifischen Mechanismus für das Bearbeiten von
solchen Archiven sowie Klassenmethoden für das schnelle und einfache
Bearbeiten und ermöglicht gleichzeitig das Anlegen von
tar-Dateiobjekten für das benutzerdefinierte Bearbeiten. Wenn Sie
bereits das Modul Compress::Zlib installiert haben, unterstützt
Archive::Tar auch komprimierte oder gzipped tar-Dateien.

%description -l es.UTF-8
Este módulo gestiona los ficheros tar. Archive::Tar proporciona un
mecanismo orientado a un objeto para gestionar ficheros tar.
Proporciona métodos de clase para ficheros rápidos y sencillos
mientras que permite la creación de objetos de ficheros tar para la
manipulación personalizada. Si tiene instalado el módulo
Compress::Zlib, Archive::Tar soportará los ficheros tar comprimidos.

%description -l fr.UTF-8
Il s'agit d'un module de gestion des archives tar. Archive::Tar
fournit un mécanisme orienté sur l'objet pour la gestion des fichiers
tar. Il offre des méthodes de classe permettant de gérer rapidement et
facilement les fichiers tout en permettant de créer des objets de
fichiers tar pour une manipulation personnalisée. Si vous avez
installé le module Compress::Zlib, Archive::Tar rendra également en
charge les fichiers tar comprimés ou zippés.

%description -l it.UTF-8
Si tratta di un modulo per la gestione degli archivi tar. Archive::Tar
offre un meccanismo orientato agli oggetti per gestire i file tar.
Consente inoltre di gestire rapidamente e facilmente i file e di
creare gli oggetti dei file tar per la personalizzazione. Se il modulo
Compress::Zlib è installato, Archive::Tar supporterà anche i file tar
compressi o gzippati.

%description -l ko.UTF-8
이 모듈은 tar 아카이브 파일을 처리하는데 사용됩니다. Archive::Tar는
tar 파일 처리에 사용되는 객체 지향적 메커니즘을 제공합니다. 이 모듈은
빠르고 쉬운 파일 처리를 위한 클래스 방식을 제공할 뿐만 아니라 또한
사용자 설정 조작이 가능한 tar 파일 객체도 생성 가능합니다.
Compress::Zlib 모듈을 설치하셨다면, Archive::Tar는 압축 tar 파일이나
gzip 압축된 tar 파일도 지원합니다.

%description -l pl.UTF-8
Ten moduł obsługuje archiwa tar. Archive::Tar udostępnia zorientowany
obiektowo mechanizm obsługi plików tar. Udostępnia klasę zawierającą
metody umożliwiające łatwe posługiwanie sie plikami .tar, a także
tworzenie obiektów tar i manipulację nimi. Jeśli jest zainstalowany
moduł Compress::Zlib, Archive::Tar będzie obsługiwać również archiwa
tar spakowane dodatkowo programem compress lub gzip.

%description -l pt.UTF-8
Este é um módulo para o tratamento dos pacotes TAR. O Archive::Tar
oferece um mecanismo orientado por objectos para lidar com os
ficheiros TAR. Oferece os métodos das classes para o tratamento rápido
e simples dos ficheiros enquanto permite também a criação de objectos
de ficheiros TAR para a manipulação personalizada. Se tiver o módulo
Compress::Zlib instalado, o Archive::Tar irá também suportar os
ficheiros TAR 'gzippados' ou 'compress'ed.

%description -l pt_BR.UTF-8
Este é um módulo para o tratamento dos pacotes TAR. O Archive::Tar
oferece um mecanismo orientado por objectos para lidar com os
ficheiros TAR. Oferece os métodos das classes para o tratamento rápido
e simples dos ficheiros enquanto permite também a criação de objectos
de ficheiros TAR para a manipulação personalizada. Se tiver o módulo
Compress::Zlib instalado, o Archive::Tar irá também suportar os
ficheiros TAR 'gzippados' ou 'compress'ed.

%description -l sv.UTF-8
Detta är en modul för hanteringen av tar-arkiv. Archive::Tar
tillhandahåller en objektorienterad mekanism för att hantera
tar-filer. Den tillhandahåller klassmetoder för snabb och enkel
filhantering samtidigt som den möjliggör skapandet av tar-filobjekt
för specialhantering. Om du har modulen Compress::Zlib installerad,
kommer Archive::Tar också att stödja komprimerade eller gzip:ade
tar-filer.

%description -l zh_CN.UTF-8
这是用来处理 tar 归档的模块。Archive::Tar
提供了处理 tar 文件的面向对象的机制。它提供
了类别方法来快速简易地处理文件，它还允许为
定制的操作而创建 tar 文件对象。如果您安装了
Compress::Zlib 模块，Archive::Tar 还会支持压
缩的或用 gzip 处理的 tar 文件。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/ptar*
%{perl_vendorlib}/Archive/Tar.pm
%{perl_vendorlib}/Archive/Tar
%{_mandir}/man1/ptar*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Archive-Tar.spec,v $
Revision 1.65  2009/09/06 16:55:27  amateja
- updated to 1.52

Revision 1.64  2009/06/15 08:52:57  amateja
- updated to 1.50

Revision 1.63  2008/12/15 20:02:02  qboosh
- sorted

Revision 1.62  2008/12/13 23:12:19  agaran
- missing BR added

Revision 1.61  2008/12/11 08:08:33  adamg
- updated to 1.40 (solves CVE-2007-4829)

Revision 1.60  2008/02/25 19:32:23  qboosh
- updated to 1.38

Revision 1.59  2007-12-19 15:19:32  zbyniu
- up to 1.36

Revision 1.58  2007-05-27 12:20:04  agaran
- up to 1.32, rel 1, builds here

Revision 1.57  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.55  2006/12/22 01:44:18  qboosh
- updated to 1.30

Revision 1.54  2006/05/30 15:40:59  radek
- release 1

Revision 1.53  2006/04/07 20:12:58  agaran
- up to 1.29 rel 0.1 builds here

Revision 1.52  2006/01/22 18:20:36  qboosh
- added ptar/ptardiff man pages

Revision 1.51  2006/01/22 12:47:17  agaran
- up to 1.28 rel 0.1

Revision 1.50  2005/12/11 21:36:07  czucz
- updated to 1.26
- added BR: perl-Test-Pod, R: perl-Text-Diff
- added CHANGES and ptardiff files

Revision 1.49  2005/08/13 17:54:18  radek
- release 2: R: perl-IO-Zlib

Revision 1.48  2005/05/30 13:29:10  qboosh
- updated to 1.24

Revision 1.47  2004/12/12 10:15:56  adamg
- updated to 1.23

Revision 1.46  2004/12/01 12:20:49  radek
- autoupdated to 1.22

Revision 1.45  2004/11/03 19:42:57  paladine
- formatting

Revision 1.44  2004/08/08 14:30:16  adamg
- updated to 1.10
- removed list_archive_vs_new.patch

Revision 1.43  2004/06/05 18:10:29  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.42  2004/05/24 19:14:06  qboosh
- added ptar script

Revision 1.41  2004/05/23 23:23:23  adamg
- updated to 1.09

Revision 1.40  2004/05/07 00:35:12  ankry
- rel. 3

Revision 1.39  2004/05/06 18:43:02  ankry
- fixed perl-devel BR

Revision 1.38  2004/04/26 13:28:01  radek
- release 2: added -list_archive_vs_new.patch (fixes File::Archive's tests)
STBR

Revision 1.37  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.36  2004/01/13 12:05:01  trojan
- updated to 1.08

Revision 1.35  2003/11/01 10:32:44  qboosh
- added versions of internal perl packages for tests

Revision 1.34  2003/10/21 12:17:12  migo
- up to 1.07
- tests bcond

Revision 1.33  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.32  2003/09/03 12:30:28  grzegol
- updated to 1.05

Revision 1.31  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/08/03 21:56:29  grzegol
- updated to 1.04

Revision 1.29  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/20 20:47:58  ankry
- merge translations from RH

Revision 1.26  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:25:58  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/07/16 11:29:43  ankry
- translations, cleaning
- new %%doc
- release 5

Revision 1.22  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:05:11  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:24:04  depesz
adapterized

Revision 1.16  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:13  mis
- buildarch noarch; release++

Revision 1.14  2001/09/14 15:56:31  zagrodzki
- rel. 1

Revision 1.13  2001/09/14 15:54:42  zagrodzki
- updated to 0.22
- breq: perl-devel

Revision 1.12  2001/04/17 12:05:06  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2000/12/27 17:26:36  kloczek
- release 5: rebuild against perl 5.6.

Revision 1.9  2000/12/20 00:07:59  kloczek
- release 4: use new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:07  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
